Bug 758740 - torque 2.5.7 memory leak.
Summary: torque 2.5.7 memory leak.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: torque
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-30 16:07 UTC by Steve Traylen
Modified: 2011-12-20 20:04 UTC (History)
4 users (show)

Fixed In Version: torque-2.5.7-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-20 20:02:50 UTC


Attachments (Terms of Use)

Description Steve Traylen 2011-11-30 16:07:00 UTC
Since the update to Torque 2.5.7, we've had consistent memory issue on our Torque server.

However, it looks like this is known about, e.g. http://www.clusterresources.com/bugzilla/show_bug.cgi?id=144 and looks like later versions of Torque help with this; e.g. http://www.clusterresources.com/pipermail/torquedev/2011-November/003886.html

Comment 1 Steve Traylen 2011-11-30 16:29:28 UTC
Still problems with updating to 2.5.9 here as I know that 

http://www.supercluster.org/pipermail/torqueusers/2011-September/thread.html#13344

will cause problems for people.


Looking though: 

svn log svn://svn.clusterresources.com/torque/branches/2.5-fixes

r5258 | knielson | 2011-10-25 23:05:18 +0200 (Tue, 25 Oct 2011) | 1 line
Added DIS_tcp_close function

is the memory fix however the following commits also look to be worth having:

r5270 | knielson | 2011-10-26 18:57:20 +0200 (Wed, 26 Oct 2011) | 1 line
Added a check to DIS_tcp_array to check that the tcparray has been initialized

r5420 | ataufer | 2011-11-29 23:31:20 +0100 (Tue, 29 Nov 2011) | 1 line
Make sure to unlink munge files on failures.

there are others but trying to minimise.

Comment 2 Fedora Update System 2011-11-30 18:36:19 UTC
torque-2.5.7-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-2.5.7-6.el5

Comment 3 Fedora Update System 2011-11-30 18:36:31 UTC
torque-2.5.7-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-2.5.7-8.el6

Comment 4 Fedora Update System 2011-11-30 18:36:44 UTC
torque-2.5.7-6.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/torque-2.5.7-6.el4

Comment 5 Fedora Update System 2011-11-30 22:35:16 UTC
Package torque-2.5.7-6.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing torque-2.5.7-6.el4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5119/torque-2.5.7-6.el4
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-03 18:51:55 UTC
torque-2.5.7-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/torque-2.5.7-7.el5

Comment 7 Fedora Update System 2011-12-03 18:52:12 UTC
torque-2.5.7-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/torque-2.5.7-9.el6

Comment 8 Fedora Update System 2011-12-03 18:52:31 UTC
torque-2.5.7-7.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/torque-2.5.7-7.el4

Comment 9 Fedora Update System 2011-12-20 20:02:50 UTC
torque-2.5.7-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-12-20 20:03:57 UTC
torque-2.5.7-7.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-12-20 20:04:25 UTC
torque-2.5.7-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.